# Class NightmareTag

#### Hierarchy (view full)

- BattlerTag
  - NightmareTag

- Defined in src/data/battler-tags.ts:417

#####
Index

### Constructors

constructor

### Properties

lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new NightmareTag(): NightmareTag

- #### Returns NightmareTag

  Overrides BattlerTag.constructor

  - Defined in src/data/battler-tags.ts:418

## Properties

### lapseType

lapseType: BattlerTagLapseType

Inherited from BattlerTag.lapseType

- Defined in src/data/battler-tags.ts:33

### `Optional` sourceId

sourceId?: number

Inherited from BattlerTag.sourceId

- Defined in src/data/battler-tags.ts:36

### sourceMove

sourceMove: Moves

Inherited from BattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:35

### tagType

tagType: BattlerTagType

Inherited from BattlerTag.tagType

- Defined in src/data/battler-tags.ts:32

### turnCount

turnCount: number

Inherited from BattlerTag.turnCount

- Defined in src/data/battler-tags.ts:34

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from BattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:46

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Overrides BattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:452

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from BattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:68

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from BattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:64

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Overrides BattlerTag.lapse

  - Defined in src/data/battler-tags.ts:434

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from BattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:79

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Overrides BattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:422

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Overrides BattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:428

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:52